summaryrefslogtreecommitdiffstats
path: root/system/icingaweb2/icingaweb2.SlackBuild
diff options
context:
space:
mode:
author Mario Preksavec2015-02-27 21:54:28 +0100
committer Willy Sudiarto Raharjo2015-02-27 21:54:28 +0100
commit639af5e6850658099986e3f29539ee001ee08d50 (patch)
tree6628bfec34d335ceedf36213fbb2f21b26baea1c /system/icingaweb2/icingaweb2.SlackBuild
parent31fe02463cf8054480f246e493cb15c6a39a900b (diff)
downloadslackbuilds-639af5e6850658099986e3f29539ee001ee08d50.tar.gz
system/icingaweb2: Added (Network resource monitoring Web UI).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/icingaweb2/icingaweb2.SlackBuild')
-rw-r--r--system/icingaweb2/icingaweb2.SlackBuild94
1 files changed, 94 insertions, 0 deletions
diff --git a/system/icingaweb2/icingaweb2.SlackBuild b/system/icingaweb2/icingaweb2.SlackBuild
new file mode 100644
index 0000000000..d7871042b8
--- /dev/null
+++ b/system/icingaweb2/icingaweb2.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for icingaweb2
+
+# Copyright 2015 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=icingaweb2
+VERSION=${VERSION:-2.0.0beta2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVER=${SRCVER:-2.0.0-beta2}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case "$( uname -m )" in
+ x86_64) LIBDIRSUFFIX="64" ;;
+ *) LIBDIRSUFFIX="" ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/v$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Manual install
+mkdir -p $PKG/usr/{bin,lib${LIBDIRSUFFIX}/php,share/$PRGNAM/library} \
+ $PKG/etc/{$PRGNAM/modules,httpd/extra} $PKG/var/log/$PRGNAM
+cp -a application modules public $PKG/usr/share/$PRGNAM
+cp -a library/Icinga $PKG/usr/lib${LIBDIRSUFFIX}/php
+cp -a library/vendor $PKG/usr/share/$PRGNAM/library
+cp -a etc/bash_completion.d $PKG/etc
+cp -a packages/files/apache/$PRGNAM.conf $PKG/etc/httpd/extra/$PRGNAM.conf
+cp -a packages/files/config/modules/setup $PKG/etc/$PRGNAM/modules
+cp -a packages/files/public/index.php $PKG/usr/share/$PRGNAM/public
+cp -a packages/files/bin/icingacli $PKG/usr/bin
+
+# Change default paths
+sed -i "s#usr/share/doc/$PRGNAM/schema#usr/doc/$PRGNAM-$VERSION/schema#" \
+ $PKG/etc/$PRGNAM/modules/setup/config.ini
+sed -i "s#usr/share/php#usr/lib${LIBDIRSUFFIX}/php#" $PKG/usr/bin/icingacli \
+ $PKG/usr/share/$PRGNAM/public/index.php
+
+# Append .new to configs
+find $PKG/etc/httpd/extra $PKG/etc/$PRGNAM -type f -exec mv {} {}.new \;
+
+# Generate setup token
+head -c 12 /dev/urandom | base64 | tee $PKG/etc/$PRGNAM/setup.token
+
+# Apache needs permissions
+chown -R apache:apache $PKG/etc/$PRGNAM $PKG/var/log/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* etc/schema $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}